> For the complete documentation index, see [llms.txt](https://docs.firework.com/firework-for-developers/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.firework.com/firework-for-developers/web/integration-guide/events.md).

# Events

Firework Embed provides a way to subscribe to particular lifecycle and video events using CustomEvent listener on document.

```javascript
// Custom event listener
document.addEventListener('<event-name>', function(event) {
  console.log(event.detail);
})
```

## Response data

Data available for **all** events.

|        Name | Description                                                                     |
| ----------: | ------------------------------------------------------------------------------- |
|    `app_id` | ID of your widget.                                                              |
|      `name` | Custom name of a widget.                                                        |
| `widget_id` | Random ID assigned for each render                                              |
|  `guest_id` | Random ID assigned to a visitor for as long as possible. Available post render. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.firework.com/firework-for-developers/web/integration-guide/events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
